gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.WindowHintsGType)) System.Flags Used to indicate which fields of a struct should be paid attention to. Also, the presence/absence of Pos, UserPos, and UserSize is significant, though they don't directly refer to GdkGeometry fields. UserPos will be set automatically by GtkWindow if you call . UserPos and UserSize should be set if the user specified a size/position using a --geometry command-line argument; automatically sets these flags.
- Field
  2.12.0.0
  Gdk.WindowHints Aspect ratio fields are set.
- Field
  2.12.0.0
  Gdk.WindowHints Base size fields are set.
- Field
  2.12.0.0
  Gdk.WindowHints Max size fields are set.
- Field
  2.12.0.0
  Gdk.WindowHints Min size fields are set.
- Field
  2.12.0.0
  Gdk.WindowHints Indicates that the program has positioned the window.
- Field
  2.12.0.0
  Gdk.WindowHints Resize increment fields are set.
- Field
  2.12.0.0
  Gdk.WindowHints Indicates that the window's poition was explicitly set by the user.
- Field
  2.12.0.0
  Gdk.WindowHints Indicates that the window's size was explicitly set by the user.
- Field
  2.12.0.0
  Gdk.WindowHints Window gravity field is set.